Skip to main content
GET
/
v2
/
subscriptions
List subscriptions
curl --request GET \
  --url https://api.hyperline.co/v2/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total": 1,
    "taken": 1,
    "skipped": 0
  },
  "data": [
    {
      "id": "sub_B6ClkdqNqVNBgY",
      "name": "Yearly subscription",
      "currency": "EUR",
      "status": "active",
      "purchase_order": "<string>",
      "customer_id": "cus_QalW2vTAdkR6IY",
      "invoicing_entity_id": "ive_jerrb484RHn",
      "plan_id": "plan_zHmjoDee4ZRmQV",
      "template_id": "subt_7gdusOkqr5L0B8",
      "checkout_session_id": "<string>",
      "crm_opportunity_id": null,
      "minimum_invoice_fee": 250,
      "commitment_interval": {
        "period": "years",
        "count": 1
      },
      "renew_automatically": true,
      "renew_for": {
        "period": "years",
        "count": 1
      },
      "activation_strategy": "start_date",
      "starts_at": "2024-12-20T16:04:11Z",
      "contract_start": "2024-01-15T00:00:00Z",
      "contract_end": "2025-01-15T00:00:00Z",
      "initial_billing_at": "2024-12-20T16:04:11Z",
      "paused_at": "2024-12-20T16:04:11Z",
      "reactivate_at": "2024-12-20T16:04:11Z",
      "cancel_at": "2024-12-20T16:04:11Z",
      "cancellation_strategy": "refund_prorata",
      "cancellation_amount": 123,
      "cancellation_reason": "<string>",
      "estimated_arr": 123,
      "contract_value": 123,
      "current_period_started_at": "2024-12-20T16:04:11Z",
      "current_period_ends_at": "2024-12-20T16:04:11Z",
      "next_payment_at": "2024-12-20T16:04:11Z",
      "next_payment_amount": 123,
      "renews_at": "2024-12-20T16:04:11Z",
      "current_phase_id": "<string>",
      "display_shipping_details": true,
      "properties": null,
      "custom_properties": {},
      "invoice_schedule": "period_start",
      "generate_document": true,
      "document_name": "<string>",
      "add_tax_to_document": true,
      "generate_draft_invoices": true,
      "invoice_custom_note": "<string>",
      "created_at": "2024-10-12T07:00:01.860Z",
      "updated_at": "2024-10-12T07:00:01.860Z",
      "products": [
        {
          "id": "itm_FJKlqUb8COXw55",
          "name": "Product name",
          "description": "A description of the product.",
          "description_display_interval_dates": true,
          "attached_at": "2024-01-15T00:00:00Z",
          "detached_at": "2024-04-15T00:00:00Z",
          "current_period_started_at": "2024-01-15T00:00:00Z",
          "current_period_ends_at": "2024-02-15T00:00:00Z",
          "next_payment_at": "2024-02-15T00:00:00Z",
          "payment_interval": {
            "period": "once"
          },
          "payment_schedule": "start",
          "type": "flat_fee",
          "count": 1,
          "prices": [
            {
              "type": "fee",
              "amount": 123,
              "id": "<string>"
            }
          ]
        }
      ],
      "coupons": [
        {
          "description": null,
          "expiration_date": null,
          "redemption_limit": null,
          "product_ids": [
            "itm_FJKlqUb8COXw55"
          ],
          "created_at": "2024-12-20T16:04:11Z",
          "type": "amount",
          "discount_amount": 2000,
          "currency": "EUR",
          "id": "cou_DKL4Xcb5VSa8CQ",
          "promotion_code_id": null,
          "name": "Partner discount",
          "subscription_coupon_id": "coos_d9pVekhjoGppuX",
          "repeat": "forever",
          "duration_period": "days",
          "duration_count": 123,
          "apply_at": null,
          "expires_at": null
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

take
number | null
default:50
Required range: 0 <= x <= 100
skip
number | null
default:0
Required range: x >= 0
activation_strategy
Available options:
checkout,
contract_start_date,
quote,
start_date,
manually
activation_strategy__in
Available options:
checkout,
contract_start_date,
quote,
start_date,
manually
status
Available options:
all,
inactive,
active,
errored,
cancelled,
paused,
pending,
draft,
voided,
archived
status__in
Available options:
all,
inactive,
active,
errored,
cancelled,
paused,
pending,
draft,
voided,
archived
currency
string
currency__not
string
currency__isNull
string
currency__isNotNull
string
currency__equals
string
currency__contains
string
currency__startsWith
string
currency__endWith
string
plan_id
string
plan_id__not
string
plan_id__isNull
string
plan_id__isNotNull
string
plan_id__equals
string
plan_id__contains
string
plan_id__startsWith
string
plan_id__endWith
string
original_quote_id
string
original_quote_id__not
string
original_quote_id__isNull
string
original_quote_id__isNotNull
string
original_quote_id__equals
string
original_quote_id__contains
string
original_quote_id__startsWith
string
original_quote_id__endWith
string
customer_id
string
customer_id__not
string
customer_id__isNull
string
customer_id__isNotNull
string
customer_id__equals
string
customer_id__contains
string
customer_id__startsWith
string
customer_id__endWith
string
invoicing_entity_id
string
purchase_order
string
purchase_order__not
string
purchase_order__isNull
string
purchase_order__isNotNull
string
purchase_order__equals
string
purchase_order__contains
string
purchase_order__startsWith
string
purchase_order__endWith
string
updated_at
string<date-time>
updated_at__not
string<date-time>
updated_at__isNull
string<date-time>
updated_at__isNotNull
string<date-time>
updated_at__equals
string<date-time>
updated_at__lt
string<date-time>
updated_at__lte
string<date-time>
updated_at__gt
string<date-time>
updated_at__gte
string<date-time>
custom_properties
string
invoice_drafts
string

Response

200 - application/json
meta
object
required
data
object[]
required

List of Subscription.